From 3422a55668be9e639033a0406b37c95091efe7bc Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:50:44 +0000
Subject: [PATCH 23/51] make assertion errors more informative


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index e1ed05e..f492de3 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -139,7 +139,9 @@ class ModuleMDLinter(object):
         assert all(
             0 <= getattr(getattr(self, x), "lint_level", -1)
               <= LintLevel.max_level
-            for x in lint_method_names)
+            for x in lint_method_names), (
+                "All lint_*() methods must be decorated with one of the @info,"
+                " @warning, @error decorators.")
 
         lint_methods = sorted(
             (y for y in (getattr(self, x) for x in lint_method_names)
@@ -147,7 +149,8 @@ class ModuleMDLinter(object):
             key=lambda x: x.lint_order)
 
         # ensure all lint methods have a docstring
-        assert all(getattr(x, '__doc__', None) for x in lint_methods)
+        assert all(getattr(x, '__doc__', None) for x in lint_methods), (
+            """All lint_*() methods must have a docstring.""")
 
         flagged = []
         failed_or_skipped = set()

